commit:     4f4acfe995ddcb78b424ca24151d2b02ad5755e0
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Fri Dec  4 18:04:20 2015 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Fri Dec  4 18:04:20 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4f4acfe9

www-servers/tomcat: version bump - slot 9 milestone 1

Package-Manager: portage-2.2.26

 www-servers/tomcat/Manifest                        |   1 +
 .../files/tomcat-9.0.0_alpha1-build.xml.patch      | 266 +++++++++++++++++++++
 www-servers/tomcat/tomcat-9.0.0_alpha1.ebuild      | 156 ++++++++++++
 3 files changed, 423 insertions(+)

diff --git a/www-servers/tomcat/Manifest b/www-servers/tomcat/Manifest
index 0ea45d7..5132be6 100644
--- a/www-servers/tomcat/Manifest
+++ b/www-servers/tomcat/Manifest
@@ -5,3 +5,4 @@ DIST apache-tomcat-7.0.65-src.tar.gz 4600718 SHA256 
38c266a21ff27560ba4c213dd646
 DIST apache-tomcat-8.0.26-src.tar.gz 4904717 SHA256 
3725621a73501a6e09438f177acfab7ce11fabeb2b0380a909273410f3b50b3b SHA512 
70ef253889916bcca309a8f80675c4c588fef1cc5dc0360c45347107fb56fd546a334ca01e1109775410f7642acf6c75d9887f9403ad4c1d0e30f041f9ce34fb
 WHIRLPOOL 
3c29a5418dfefc12157d8656dfa15a2937668f52d18c21f6dd4a278d2bc4c84d5b6d542daf6244040eabeab57cb759a510b7b1d0e41440a2d9ad62586723dafc
 DIST apache-tomcat-8.0.28-src.tar.gz 4913153 SHA256 
441a0a0459b6c2dacab3bcf68a9e512b4bb62f7251a27bd15b909ee31b659367 SHA512 
60f9a9f643595cdc87598169b8b66cc1e445445a530cad88d2957e90ca99e7c77be9d3576c7fa3a0e7051166f2a960a1c3bf4103f902d1da122825d41e1154c7
 WHIRLPOOL 
5867ec0c128fe5247c7b874baf05fba9fc9a5663e1c16ecd60bc6ae1e3c411a43f4d8784db5c915fe6c54bc2ec728a01773708738aede30e5abaf1f77072cdcb
 DIST apache-tomcat-8.0.29-src.tar.gz 4933339 SHA256 
5cb87ae9afd145d68906e93b825a6a41303d7975bafe3d57530e9a8ec01c7c80 SHA512 
279c971529f0e7513885a0a201753bc94b1ed7a4f035cb33943bf6ae769102630b94144c65236e8b42c666ded7cc843db54c155e8b5cd1ae175b6385d9c2789b
 WHIRLPOOL 
8cfb5402b877be4bd4306cf5d14cf76302b1904e3530de108f262f9bb3de6f1377882fb5a1406e4b2ffc5c239c541f64df55fc98945157edafbd14586deb26bd
+DIST apache-tomcat-9.0.0.M1-src.tar.gz 4984318 SHA256 
62fb16ed9743916b643a7b406c4b98b8b9b2df15504e9a66d4a609f6d539b34c SHA512 
f47a018e30a0ceb382187de2fef443ea1ef9d6e319ef4f3a027824b7e95fb4b5e9d73531f03357b2a89c5f3baf568ac4cfde83969f9603299dd0cf742c4f6efa
 WHIRLPOOL 
ab796c7484fd2c1d5060998910e1bd1cfb4f478b6740d9d105255b1e1b36fc9118048d0089a873699b978be91adbe7e024afcb3a4fc2d5121b17089998cb9210

diff --git a/www-servers/tomcat/files/tomcat-9.0.0_alpha1-build.xml.patch 
b/www-servers/tomcat/files/tomcat-9.0.0_alpha1-build.xml.patch
new file mode 100644
index 0000000..f5d49c7
--- /dev/null
+++ b/www-servers/tomcat/files/tomcat-9.0.0_alpha1-build.xml.patch
@@ -0,0 +1,266 @@
+diff --git a/apache-tomcat-9.0.0.M1-src/build.xml 
b/apache-tomcat-9.0.0.M1-src/build.xml
+index eab0c45..63ac495 100644
+--- a/apache-tomcat-9.0.0.M1-src/build.xml
++++ b/apache-tomcat-9.0.0.M1-src/build.xml
+@@ -711,24 +711,30 @@
+       manifest="${tomcat.manifests}/annotations-api.jar.manifest" />
+ 
+     <!-- Servlet 4.0 Implementation JAR File -->
++<!--
+     <jarIt jarfile="${servlet-api.jar}"
+       filesDir="${tomcat.classes}"
+       filesId="files.servlet-api"
+       manifest="${tomcat.manifests}/servlet-api.jar.manifest"
+       notice="${tomcat.manifests}/servlet-api.jar.notice"
+       license="${tomcat.manifests}/servlet-api.jar.license" />
++-->
+ 
+     <!-- JSP 2.3 Implementation JAR File -->
++<!--
+     <jarIt jarfile="${jsp-api.jar}"
+       filesDir="${tomcat.classes}"
+       filesId="files.jsp-api"
+       manifest="${tomcat.manifests}/jsp-api.jar.manifest" />
++-->
+ 
+     <!-- EL 3.0 Implementation JAR File -->
++<!--
+     <jarIt jarfile="${el-api.jar}"
+       filesDir="${tomcat.classes}"
+       filesId="files.el-api"
+       manifest="${tomcat.manifests}/el-api.jar.manifest" />
++-->
+ 
+     <!-- WebSocket 1.1 API JAR File -->
+     <jarIt jarfile="${websocket-api.jar}"
+@@ -1002,14 +1008,14 @@
+ 
+   <target name="deploy" 
depends="package,build-docs,build-tomcat-jdbc,compile-webapp-examples"
+           description="Default. Builds a working Tomcat instance">
+-
++<!--
+     <copy tofile="${tomcat.build}/bin/tomcat-native.tar.gz"
+             file="${tomcat-native.tar.gz}" />
+     <copy tofile="${tomcat.build}/bin/commons-daemon-native.tar.gz"
+             file="${commons-daemon.native.src.tgz}" />
+ 
+     <copy tofile="${tomcat.build}/bin/commons-daemon.jar" 
file="${commons-daemon.jar}" />
+-
++-->
+     <!-- Copy scripts -->
+     <copy todir="${tomcat.build}/bin">
+       <fileset dir="bin">
+@@ -1069,7 +1075,7 @@
+         <exclude name="${jdt.jar.filename}"/>
+       </fileset>
+     </delete>
+-    <copy file="${jdt.jar}" todir="${tomcat.build}/lib"/>
++<!--    <copy file="${jdt.jar}" todir="${tomcat.build}/lib"/> -->
+ 
+     <!-- Add sources for examples -->
+     <antcall target="examples-sources" />
+@@ -1103,7 +1109,7 @@
+     </javac>
+   </target>
+ 
+-  <target name="build-tomcat-jdbc" depends="package">
++  <target name="build-tomcat-jdbc" depends="package" unless="noget">
+     <!-- build the jdbc-pool jar and source jar-->
+     <echo message="Building Tomcat JDBC pool libraries"/>
+     <ant antfile="${tomcat.jdbc.dir}/build.xml" dir="${tomcat.jdbc.dir}"
+@@ -1118,7 +1124,7 @@
+     <copy file="${tomcat-jdbc.jar}" todir="${tomcat.build}/lib"/>
+   </target>
+ 
+-  <target name="build-tomcat-jdbc-src">
++  <target name="build-tomcat-jdbc-src" unless="noget">
+     <!-- build the jdbc-pool source jar-->
+     <echo message="Building Tomcat JDBC pool src JAR"/>
+     <ant antfile="${tomcat.jdbc.dir}/build.xml" dir="${tomcat.jdbc.dir}"
+@@ -1222,10 +1228,11 @@
+ 
+     <copy file="${basedir}/LICENSE" todir="${tomcat.embed}" />
+     <copy file="${basedir}/NOTICE" todir="${tomcat.embed}" />
++<!--
+     <copy file="${tomcat-dbcp.jar}" todir="${tomcat.embed}"
+       failonerror="false"/>
+     <copy file="${jdt.jar}" todir="${tomcat.embed}" />
+-
++-->
+     <!-- Note the meta-inf below will work as long as there is only one JAR
+          that needs to add entries. If there is more than one a more complex
+          solution will be required. -->
+@@ -1606,7 +1613,7 @@
+ 
+   <target name="extras-commons-logging-prepare"
+           depends="extras-prepare"
+-          description="Prepare to build web services extras package">
++          description="Prepare to build web services extras package" 
unless="noget">
+ 
+     <antcall target="downloadfile-2">
+       <param name="sourcefile.1" value="${commons-logging-src.loc.1}"/>
+@@ -1745,7 +1752,7 @@
+ 
+   <target name="extras-webservices-prepare"
+           depends="extras-prepare"
+-          description="Prepare to build web services extras package">
++          description="Prepare to build web services extras package" 
unless="noget">
+ 
+     <antcall target="downloadfile">
+       <param name="sourcefile" value="${jaxrpc-lib.loc}"/>
+@@ -1940,6 +1947,7 @@ Apache Tomcat ${version} native binaries for Win64 
AMD64/EMT64 platform.
+ 
+   <target name="javadoc" depends="dist-source,extras-webservices-prepare"
+     description="Create the Tomcat javadoc" >
++<!--
+     <javadoc packagenames="javax.servlet.*"
+       excludepackagenames="javax.servlet.jsp.*"
+       sourcepath="${tomcat.dist}/src/java"
+@@ -1998,6 +2006,7 @@ Apache Tomcat ${version} native binaries for Win64 
AMD64/EMT64 platform.
+         <path location="${ant.core.lib}"/>
+       </classpath>
+     </javadoc>
++-->
+     <javadoc packagenames="javax.websocket.*"
+       sourcepath="${tomcat.dist}/src/java"
+       destdir="${tomcat.dist}/webapps/docs/websocketapi"
+@@ -2028,15 +2037,17 @@ Apache Tomcat ${version} native binaries for Win64 
AMD64/EMT64 platform.
+       docencoding="UTF-8"
+       charset="UTF-8"
+       additionalparam="-breakiterator -notimestamp"
+-      maxmemory="256m" >
++      maxmemory="512m" >
+       <classpath>
+         <path refid="compile.classpath"/>
+         <path refid="tomcat.webservices.classpath"/>
+         <path location="${ant.core.lib}"/>
+       </classpath>
++<!--
+       <link href="../servletapi"/>
+       <link href="../jspapi"/>
+       <link href="../elapi"/>
++-->
+       <link href="../websocketapi"/>
+       <link href="http://docs.oracle.com/javase/7/docs/api/"/>
+       <link 
href="http://commons.apache.org/proper/commons-io/javadocs/api-release/"/>
+@@ -2775,7 +2786,7 @@ skip.installer property in build.properties" />
+   </target>
+ 
+   <target name="download-compile"
+-          description="Download (and build) components necessary to compile" >
++          description="Download (and build) components necessary to compile" 
unless="noget">
+ 
+     <antcall target="downloadfile-2">
+       <param name="sourcefile.1" value="${tomcat-native.loc.1}"/>
+@@ -2809,7 +2820,7 @@ skip.installer property in build.properties" />
+   </target>
+ 
+   <target name="download-test-compile"
+-          description="Download additional components for the tests" >
++          description="Download additional components for the tests" 
unless="noget">
+ 
+     <antcall target="downloadfile">
+       <param name="sourcefile" value="${junit.loc}"/>
+@@ -2866,7 +2877,7 @@ skip.installer property in build.properties" />
+   </target>
+ 
+   <target name="download-dist"
+-          description="Download additional components for a distribution" >
++          description="Download additional components for a distribution" 
unless="noget">
+ 
+     <antcall target="downloadzip-2">
+       <param name="sourcefile.1" value="${tomcat-native.win.1}"/>
+@@ -2892,18 +2903,18 @@ skip.installer property in build.properties" />
+ 
+   <!-- =============== Utility Targets to support downloads ================ 
-->
+ 
+-  <target name="setproxy" if="${proxy.use}">
++  <target name="setproxy" if="${proxy.use}" unless="noget">
+     <setproxy proxyhost="${proxy.host}" proxyport="${proxy.port}"
+               proxyuser="${proxy.user}" proxypassword="${proxy.password}" />
+     <echo message="Using ${proxy.host}:${proxy.port} to download 
${sourcefile}"/>
+   </target>
+ 
+-  <target name="testexist">
++  <target name="testexist" unless="noget">
+     <echo message="Testing  for ${destfile}"/>
+     <available file="${destfile}" property="exist"/>
+   </target>
+ 
+-  <target name="downloadgz" unless="exist" depends="testexist,setproxy">
++  <target name="downloadgz" unless="noget" depends="testexist,setproxy">
+     <!-- Download and extract the package -->
+     <local name="temp.file"/>
+     <mkdir dir="${base.path}"/>
+@@ -2915,7 +2926,7 @@ skip.installer property in build.properties" />
+     <delete file="${temp.file}.tar.gz"/>
+   </target>
+ 
+-  <target name="downloadgz-2" unless="exist" depends="testexist">
++  <target name="downloadgz-2" unless="noget" depends="testexist">
+     <!-- Download and extract the package from the two alternative locations 
-->
+     <local name="temp.file"/>
+     <mkdir dir="${base.path}"/>
+@@ -2934,7 +2945,7 @@ skip.installer property in build.properties" />
+     <delete file="${temp.file}.tar.gz"/>
+   </target>
+ 
+-  <target name="downloadzip" unless="exist" depends="testexist,setproxy">
++  <target name="downloadzip" unless="noget" depends="testexist,setproxy">
+     <!-- Download and extract the package -->
+     <local name="temp.file"/>
+     <mkdir dir="${base.path}"/>
+@@ -2945,7 +2956,7 @@ skip.installer property in build.properties" />
+     <delete file="${temp.file}"/>
+   </target>
+ 
+-  <target name="downloadzip-2" unless="exist" depends="testexist">
++  <target name="downloadzip-2" unless="noget" depends="testexist">
+     <!-- Download and extract the package from the two alternative locations 
-->
+     <local name="temp.file"/>
+     <mkdir dir="${base.path}"/>
+@@ -2963,7 +2974,7 @@ skip.installer property in build.properties" />
+     <delete file="${temp.file}"/>
+   </target>
+ 
+-  <target name="downloadfile" unless="exist" depends="testexist,setproxy">
++  <target name="downloadfile" unless="noget" depends="testexist,setproxy">
+     <!-- Download the file -->
+     <local name="temp.file"/>
+     <mkdir dir="${base.path}"/>
+@@ -2973,7 +2984,7 @@ skip.installer property in build.properties" />
+     <move file="${temp.file}" tofile="${destfile}"/>
+   </target>
+ 
+-  <target name="downloadfile-2" unless="exist" depends="testexist">
++  <target name="downloadfile-2" unless="noget" depends="testexist">
+     <!-- Download the file from the two alternative locations -->
+     <local name="temp.file"/>
+     <mkdir dir="${base.path}"/>
+@@ -2996,7 +3007,7 @@ skip.installer property in build.properties" />
+     <move file="${temp.file}" tofile="${destfile}"/>
+   </target>
+ 
+-  <target name="trydownload.check" depends="setproxy">
++  <target name="trydownload.check" depends="setproxy" unless="noget">
+     <condition property="trydownload.run">
+       <and>
+         <not>
+@@ -3007,7 +3018,7 @@ skip.installer property in build.properties" />
+     </condition>
+   </target>
+ 
+-  <target name="trydownload" if="trydownload.run" depends="trydownload.check">
++  <target name="trydownload" if="trydownload.run" depends="trydownload.check" 
unless="noget">
+     <!-- Downloads a file if not yet downloaded and the source URL is 
available -->
+     <get src="${sourcefile}" httpusecaches="${trydownload.httpusecaches}" 
dest="${destfile}" />
+   </target>
+@@ -3018,7 +3029,7 @@ skip.installer property in build.properties" />
+ 
+   <target name="ide-eclipse"
+           depends="download-compile, extras-webservices-prepare, 
download-test-compile"
+-          description="Prepares the source tree to be built in Eclipse">
++          description="Prepares the source tree to be built in Eclipse" 
unless="noget">
+ 
+     <!-- Copy the sample project files into the root directory -->
+     <copy file="${tomcat.home}/res/ide-support/eclipse/eclipse.project" 
tofile="${tomcat.home}/.project"/>

diff --git a/www-servers/tomcat/tomcat-9.0.0_alpha1.ebuild 
b/www-servers/tomcat/tomcat-9.0.0_alpha1.ebuild
new file mode 100644
index 0000000..881e9a9
--- /dev/null
+++ b/www-servers/tomcat/tomcat-9.0.0_alpha1.ebuild
@@ -0,0 +1,156 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+JAVA_PKG_IUSE="doc source test"
+
+inherit eutils java-pkg-2 java-ant-2 prefix user
+
+MY_PV="${PV/_alpha/.M}"
+MY_P="apache-${PN}-${MY_PV}-src"
+
+DESCRIPTION="Tomcat Servlet-4.0/JSP-2.3 Container"
+HOMEPAGE="http://tomcat.apache.org/";
+SRC_URI="mirror://apache/${PN}/tomcat-9/v${MY_PV}/src/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="9"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux 
~x86-solaris"
+IUSE="extra-webapps"
+
+RESTRICT="test" # can we run them on a production system?
+
+ECJ_SLOT="4.5"
+SAPI_SLOT="4.0"
+
+COMMON_DEP="dev-java/eclipse-ecj:${ECJ_SLOT}
+       dev-java/oracle-javamail:0
+       dev-java/tomcat-servlet-api:${SAPI_SLOT}"
+RDEPEND="${COMMON_DEP}
+       !<dev-java/tomcat-native-1.1.24
+       >=virtual/jre-1.8"
+DEPEND="${COMMON_DEP}
+       app-admin/pwgen
+       >=virtual/jdk-1.8
+       test? (
+               >=dev-java/ant-junit-1.9:0
+               dev-java/easymock:3.2
+       )"
+
+S=${WORKDIR}/${MY_P}
+
+pkg_setup() {
+       java-pkg-2_pkg_setup
+       enewgroup tomcat 265
+       enewuser tomcat 265 -1 /dev/null tomcat
+}
+
+java_prepare() {
+       find -name '*.jar' -type f -delete -print || die
+
+       # Remove bundled javamail, servlet-api
+       rm -rv java/javax/{el,mail,servlet} || die
+
+       epatch "${FILESDIR}/${P}-build.xml.patch"
+
+       # For use of catalina.sh in netbeans
+       sed -i -e "/^# ----- Execute The Requested Command/ a\
+               CLASSPATH=\`java-config --classpath ${PN}-${SLOT}\`" \
+               bin/catalina.sh || die
+}
+
+JAVA_ANT_REWRITE_CLASSPATH="true"
+
+EANT_BUILD_TARGET="deploy"
+EANT_GENTOO_CLASSPATH="eclipse-ecj-${ECJ_SLOT},oracle-javamail,tomcat-servlet-api-${SAPI_SLOT}"
+EANT_TEST_GENTOO_CLASSPATH="easymock-3.2"
+EANT_GENTOO_CLASSPATH_EXTRA="${S}/output/classes"
+EANT_NEEDS_TOOLS="true"
+EANT_EXTRA_ARGS="-Dversion=${PV}-gentoo -Dversion.number=${PV} 
-Dcompile.debug=false"
+
+# revisions of the scripts
+IM_REV="-r2"
+INIT_REV="-r1"
+
+src_compile() {
+       EANT_GENTOO_CLASSPATH_EXTRA+=":$(java-pkg_getjar --build-only ant-core 
ant.jar)"
+       java-pkg-2_src_compile
+}
+
+src_test() {
+       java-pkg-2_src_test
+}
+
+src_install() {
+       local dest="/usr/share/${PN}-${SLOT}"
+
+       java-pkg_jarinto "${dest}"/bin
+       java-pkg_dojar output/build/bin/*.jar
+       exeinto "${dest}"/bin
+       doexe output/build/bin/*.sh
+
+       java-pkg_jarinto "${dest}"/lib
+       java-pkg_dojar output/build/lib/*.jar
+
+       dodoc RELEASE-NOTES RUNNING.txt
+       use doc && java-pkg_dojavadoc output/dist/webapps/docs/api
+       use source && java-pkg_dosrc java/*
+
+       ### Webapps ###
+
+       # add missing docBase
+       local apps="host-manager manager"
+       for app in ${apps}; do
+               sed -i -e "s|=\"true\" >|=\"true\" 
docBase=\"\$\{catalina.home\}/webapps/${app}\" >|" \
+                       output/build/webapps/${app}/META-INF/context.xml || die
+       done
+
+       insinto "${dest}"/webapps
+       doins -r output/build/webapps/{host-manager,manager,ROOT}
+       use extra-webapps && doins -r output/build/webapps/{docs,examples}
+
+       ### Config ###
+
+       # create "logs" directory in $CATALINA_BASE
+       # and set correct perms, see #458890
+       dodir "${dest}"/logs
+       fperms 0750 "${dest}"/logs
+
+       # replace the default pw with a random one, see #92281
+       local randpw="$(pwgen -s -B 15 1)"
+       sed -i -e "s|SHUTDOWN|${randpw}|" output/build/conf/server.xml || die
+
+       # prepend gentoo.classpath to common.loader, see #453212
+       sed -i -e 's/^common\.loader=/\0${gentoo.classpath},/' 
output/build/conf/catalina.properties || die
+
+       insinto "${dest}"
+       doins -r output/build/conf
+
+       ### rc ###
+
+       cp 
"${FILESDIR}"/tomcat{.conf,${INIT_REV}.init,-instance-manager${IM_REV}.bash} 
"${T}" || die
+       eprefixify 
"${T}"/tomcat{.conf,${INIT_REV}.init,-instance-manager${IM_REV}.bash}
+       sed -i -e "s|@SLOT@|${SLOT}|g" 
"${T}"/tomcat{.conf,${INIT_REV}.init,-instance-manager${IM_REV}.bash} || die
+
+       insinto "${dest}"/gentoo
+       doins "${T}"/tomcat.conf
+       exeinto "${dest}"/gentoo
+       newexe "${T}"/tomcat${INIT_REV}.init tomcat.init
+       newexe "${T}"/tomcat-instance-manager${IM_REV}.bash 
tomcat-instance-manager.bash
+}
+
+pkg_postinst() {
+       elog "New ebuilds of Tomcat support running multiple instances. If you 
used prior version"
+       elog "of Tomcat (<7.0.32), you have to migrate your existing instance 
to work with new Tomcat."
+       elog "You can find more information at 
https://wiki.gentoo.org/wiki/Apache_Tomcat";
+
+       elog "To manage Tomcat instances, run:"
+       elog "  
${EPREFIX}/usr/share/${PN}-${SLOT}/gentoo/tomcat-instance-manager.bash --help"
+
+       ewarn "tomcat-dbcp.jar is not built at this time. Please fetch jar"
+       ewarn "from upstream binary if you need it. Gentoo Bug # 144276"
+
+#      einfo "Please read 
https://www.gentoo.org/proj/en/java/tomcat6-guide.xml for more information."
+}

Reply via email to